org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle

## Class BaseCircuitBreakerOnMethod

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.circuitbreaker.lifecycle.BaseCircuitBreakerOnMethod

All Implemented Interfaces:
  CircuitBreakerLifecycleService

Direct Known Subclasses:
  DerivedCircuitBreakerOnMethodNoAnnotationOnOverriddenMethod, DerivedCircuitBreakerOnMethodNoRedefinition, DerivedCircuitBreakerOnMethodOverrideOnClass, DerivedCircuitBreakerOnMethodOverrideOnClassWithOverriddenMethod, DerivedCircuitBreakerOnMethodOverrideOnMethod

    @Dependent
     @Typed(value=BaseCircuitBreakerOnMethod.class)
    public class BaseCircuitBreakerOnMethod
    extends Object
    implements CircuitBreakerLifecycleService

### Constructor Summary

Constructors
Constructor and Description
`BaseCircuitBreakerOnMethod()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `instanceId()`
`void` `service()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseCircuitBreakerOnMethod

    public BaseCircuitBreakerOnMethod()

### Method Detail

#### instanceId

    public int instanceId()

Specified by:
  `instanceId` in interface `CircuitBreakerLifecycleService`

#### service

    @CircuitBreaker(requestVolumeThreshold=8)
    public void service()
                                                           throws IOException

Specified by:
  `service` in interface `CircuitBreakerLifecycleService`
Throws:
  `IOException`